Bug 973867 - "server" directive is ignored in .slrnrc
"server" directive is ignored in .slrnrc
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: slrn (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 22:56 EDT by Ben Boeckel
Modified: 2015-09-26 14:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:33:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2013-06-12 22:56:11 EDT
Description of problem:
With the following line

server "/home/boeckb/.local/share/slrnpull/news/gmane" ".local/share/slrn/jnewsrc-gmane"

in my .slrnrc (via inclusions), slrn used to use .local/share/slrn/jnewsrc-gmane just fine. Now slrn exits with the following error:

Using newsrc file /home/boeckb/.jnewsrc for server /home/boeckb/.local/share/slrnpull/news.slrn fatal error:

Unable to open /home/boeckb/.jnewsrc.
If you want to create /home/boeckb/.jnewsrc, add command line options:
   -f /home/boeckb/.jnewsrc --create

This started occurring recently (within the past few weeks?), but I don't see any recent Koji builds which might have caused this.

Version-Release number of selected component (if applicable):
slrn-1.0.1-3.fc19.x86_64
Comment 1 Petr Pisar 2013-06-19 07:13:11 EDT
slrn(1) reads:

> To use slrn, you either need to set the NNTPSERVER environment variable
> to  the  server  you  want to read news from or specify a server on the
> command line.  A newsrc file is needed, too.  In case you  do  not  yet
> have one, you can create it using ``slrn -f ~/.jnewsrc --create''.

and

> -h host[:port]
>        Connect to the NNTP server on host, overriding  the  $NNTPSERVER
>        environment  variable.   If  no  port is given, the default NNTP
>        port (119) will be used.  This option  is  only  accepted  after
>        --nntp or when NNTP is the default mode.

I have ever called slrn with `-h' option explicitly (because I do not use NNTPSERVER environment variable and I have defined more servers).

I haven't changed anything recently. I believe your implicit server selection is not a supported feature.
Comment 2 Ben Boeckel 2013-06-19 12:57:40 EDT
Hmm, I'll see if I can find an older build to test or see if I'm just trying to use the wrong history command.
Comment 3 Fedora End Of Life 2015-01-09 13:24:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:33:21 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Ben Boeckel 2015-09-26 14:06:14 EDT
So I finally got around to it and debugged this to completion. Apparently something changed around the spool_root variable? Apparently it had never been set to the right path and it happened to work before. Fixing it makes slrn without options work again.

Note You need to log in before you can comment on or make changes to this bug.